DRAW
nged
BRL-CAD
BRL-CAD User Commands

# draw

Adds objects> to the display list so that they will appear on the MGED display. The `e` command is a synonym for `draw`.

        draw

        -A attribute name/value pairs
        -s
        -A -oattribute name/value pairs
        -C#/#/#
        -m1
        objects

## DESCRIPTION

Adds objects> to the display list so that they will appear on the MGED display. The `e` command is a synonym for draw.

- The -C option provides the user a way to specify a color that overrides all other color specifications including combination colors and region-id-based colors.

- The -s option specifies that subtracted and intersected objects should be drawn with shape lines rather than dot-dash lines.

- The -A option specifies that the arguments provided to this command are attribute name/value pairs, and only objects having the specified attributes and values are to be displayed. The default (without -o) is that only objects having all the specified attribute name/value pairs will be displayed.

- The -m1 option will display BOTs shaded if the display manager is OpenGL and the zbuffer and lighting is enabled. To enable these settings, from the MGED GUI, choose "Modes/Display Manager/OpenGL", "Misc/Z-buffer" and "Misc/Lighting". If the zbuffer and lighting is already enabled, toggle them off then back on to ensure they are enabled.

## EXAMPLES

The following examples show the use of the `draw` command to draw particular objects, to specify color, to draw with shape lines rather than dot-dash lines, and to limit the objects to be drawn to those having specific attribute names and value pairs.

### Draw specific objects in the MGED display.

mged> `draw object1 object2`

  Object1 and object2 are drawn in the MGED display.

### Specify the color used to draw the object.

mged>`draw -C 255/255/255 object2`

Object2 is drawn in white.

### Limit the objects to be drawn to those having specific attribute names and value pairs.

mged>`draw -A -o Comment {First comment} Comment {Second comment}`

Objects having a Comment attribute with a value of either "First comment" or "Second comment" are drawn.

## AUTHOR

BRL-CAD Team

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>, or via the "cadbug.sh" script.